#!/usr/bin/env python3
# SPDX-License-Identifier: BSD-3-Clause
# Copyright (c) 2019 DPDK Project. Developed by UNH-IOL dpdklab@iol.unh.edu.

import os

from compile_meson_with_podman import CompileMesonWithPodman, \
    CompileWithPodmanArgParse


class CompileMesonWithDocker(CompileMesonWithPodman):

    def build(self):
        self.init_dpdk()

        image = 'dpdk_compile'

        self.image_build(image, manager='docker')

        self.container_run(image, [
            '--user', f'{self.uid()}:{self.gid()}',
            '-v', os.getcwd() + '/dpdk:/dpdk',
            '--entrypoint', '/compile_meson.sh'],
                           on_error=self.save_logs,
                           manager='docker')


if __name__ == '__main__':
    args = CompileWithPodmanArgParse().parse_args()

    compile_dpdk = CompileMesonWithDocker(**vars(args))
    compile_dpdk.build()
