#!/usr/bin/env python3
# SPDX-License-Identifier: BSD-3-Clause
# Copyright (c) 2019 DPDK Project. Developed by UNH-IOL dpdklab@iol.unh.edu.

import os

from compile_ovs import OVSMixin
from compile_with_podman import CompileWithPodman, CompileWithPodmanArgParse


class OVSCompileArgParse(CompileWithPodmanArgParse):
    def __init__(self):
        super().__init__('OVS Compile testing. This assumes an up-to-date ovs '
                         'git folder exists in the current directory.')


class CompileOVSWithPodman(OVSMixin, CompileWithPodman):

    def build(self):
        self.build_dpdk_and_check()

        image = 'dpdk_compile'

        self.image_build(image)

        self.container_run(image, [
            '-v', os.getcwd() + '/dpdk:/dpdk:Z',
            '-v', os.getcwd() + '/ovs:/ovs:Z',
            '--entrypoint', '/compile_ovs.sh'])


if __name__ == '__main__':
    args = OVSCompileArgParse().parse_args()

    compile_ovs = CompileOVSWithPodman(**vars(args))
    compile_ovs.build()
