FROM fedora:31

RUN dnf install -y \
    diffutils \
    # Required packages
    gcc make ninja-build meson pkg-config numactl-devel \
    # Extra packages to compile as much as possible
    librdmacm rdma-core-devel elfutils-libelf-devel libmnl-devel libpcap-devel jansson-devel

# Extra OVS packages
RUN dnf install -y \
    openssl-devel libcap-ng-devel autoconf automake libtool libmnl-devel \
    python3 python3-six

# Extra SPDK packages
ADD https://raw.githubusercontent.com/spdk/spdk/master/scripts/pkgdep.sh pkgdep.sh
RUN chmod +x pkgdep.sh && ./pkgdep.sh

COPY compile.sh /compile.sh
COPY compile_meson.sh /compile_meson.sh
COPY compile_ovs.sh /compile_ovs.sh
COPY compile_spdk.sh /compile_spdk.sh

ENV RTE_KERNELDIR CHANGE_ME
