FROM opensuse/leap:15

RUN zypper install -y \
    # Required packages
    gcc make ninja pkg-config libnuma-devel \
    # Extra packages to compile as much as possible
    librdmacm1 rdma-core-devel libelf-devel libmnl-devel libpcap-devel libjansson-devel \
    # Meson packages
    python3-pip

# Extra OVS packages
RUN zypper install -y \
    openssl-devel libcap-ng-devel autoconf automake libtool python3-six

# Extra SPDK packages
RUN zypper install -y \
    gcc-c++ nasm libuuid-devel libaio-devel cunit-devel libpmem-devel

# Need the latest version of meson, which current repos do not have.
RUN python3 -m pip install meson

COPY compile.sh /compile.sh
COPY compile_meson.sh /compile_meson.sh
COPY compile_ovs.sh /compile_ovs.sh
COPY compile_spdk.sh /compile_spdk.sh

ENV RTE_KERNELDIR CHANGE_ME
