FROM ubuntu:18.04

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get update
RUN apt-get install --no-install-recommends -y \
    # Required packages
    make gcc ninja-build pkg-config libnuma-dev \
    # Extra packages to compile as much as possible
    librdmacm-dev librdmacm1 rdma-core libelf-dev libmnl-dev libpcap-dev libcrypto++-dev libjansson-dev \
    # Meson packages
    python3-pip python3-setuptools python3-wheel

# Extra OVS packages
RUN apt-get install --no-install-recommends -y \
    dh-autoreconf libssl-dev libcap-ng-dev python3-six

# Extra SPDK packages
ADD https://raw.githubusercontent.com/spdk/spdk/master/scripts/pkgdep.sh pkgdep.sh
RUN chmod +x pkgdep.sh && ./pkgdep.sh

# Need the latest version of meson, which current repos do not have.
RUN python3 -m pip install meson

COPY compile.sh /compile.sh
COPY compile_meson.sh /compile_meson.sh
COPY compile_ovs.sh /compile_ovs.sh
COPY compile_spdk.sh /compile_spdk.sh

ENV RTE_KERNELDIR CHANGE_ME
