#!/bin/bash -e
# This script is mostly used as a sanity check just to make sure tests don't
# at least die on start up.

BASEDIR=$(dirname "$0")
ARGS="dpdk.tar.gz --print-shell"

# "ci" option to skip tests when running in a restricted CI
if [ "$1" == "ci" ]; then
  mkdir -p ovs spdk
  skip=true
else
  skip=false
fi

set -x

$BASEDIR/compile.py $ARGS
$BASEDIR/compile_with_podman.py $ARGS
$BASEDIR/compile_with_podman.py $ARGS --os centos8
$BASEDIR/compile_with_podman.py $ARGS --os fedora31
$BASEDIR/compile_with_podman.py $ARGS --os opensuse-leap15
$BASEDIR/compile_ovs.py $ARGS
$BASEDIR/compile_ovs_with_podman.py $ARGS
$BASEDIR/compile_ovs_with_podman.py $ARGS --os centos8
$BASEDIR/compile_ovs_with_podman.py $ARGS --os fedora31
$BASEDIR/compile_ovs_with_podman.py $ARGS --os opensuse-leap15
$BASEDIR/compile_spdk.py $ARGS
$BASEDIR/compile_spdk_with_podman.py $ARGS
$BASEDIR/compile_meson.py $ARGS
$BASEDIR/compile_meson_with_podman.py $ARGS
$BASEDIR/compile_meson_with_podman.py $ARGS --os centos8
$BASEDIR/compile_meson_with_podman.py $ARGS --os fedora31
$BASEDIR/compile_meson_with_podman.py $ARGS --os opensuse-leap15
$BASEDIR/compile_meson_with_docker.py $ARGS
$BASEDIR/compile_meson_with_docker.py $ARGS --os centos8
$BASEDIR/compile_meson_with_docker.py $ARGS --os fedora31
$BASEDIR/compile_meson_with_docker.py $ARGS --os opensuse-leap15
# Don't want to deal with hugepages
if ! $skip; then
  $BASEDIR/unit_test.py $ARGS
  $BASEDIR/unit_test_with_docker.py $ARGS
fi
