# SPDX-License-Identifier: BSD-3-Clause
# Copyright (c) 2019 DPDK Project. Developed by UNH-IOL dpdklab@iol.unh.edu.

import os


def get_all_file_paths(directory, return_dirs=False):
    # crawling through directory and subdirectories
    for root, directories, files in os.walk(directory):
        if return_dirs:
            yield root

        for filename in files:
            filepath = os.path.join(root, filename)
            yield filepath


def parse_properties(f):
    # return a dictionary from a property-like file
    # (key values separated by equals)
    d = {}
    for line in f:
        line = line.rstrip()
        if not line:
            continue
        k, v = line.split('=')
        d[k] = v
    return d
